# alkaa
`alkaa` - finnish `to start`, `to begin`  

This project contains my dotfiles and scripts for daily usage. In addition to that, it is organised into [Ansible](https://docs.ansible.com/ansible/latest/index.html) roles for managing the deployment of those files. [Just](https://github.com/casey/just), a modern make replacement, is used too, so I don't need to remember all the Ansible commands.

## Included Software
- xmonad
	- alacritty
	- xmobar
	- dunst
	- nnn
	- bash
	- dircolours
	- dmenu
		- border patch
		- center patch
		- lineheight patch
		- zenburn colour sheme
		- mapped j-k to down-up and h-l to prior-next
	- slock
- neovim
- git
	- git delta
	- lazygit
- scripts
	- `compiledoc` - compile a markdown or latex file into pdf using pandoc and tectonic
	- `open_editor_in_new_shell` - used by nnn to open a file in `$EDITOR` in a new `$TERMINAL`
